> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# 获取会话摘要

GET https://api.elevenlabs.io/v1/convai/conversations/{conversation_id}/summary

获取对话的轻量摘要：标题、生成的转录摘要、通话是否成功，以及——仅在对话较短时——纯聊天消息。为保持响应精简，工具调用、工具结果和上下文更新将被省略。仅需了解概要时（例如智能体阅读大量对话），请使用此端点而非完整对话端点；需要包含工具调用和上下文更新的完整转录时，请使用 GET /v1/convai/conversations/\{conversation\_id}。

Reference: https://elevenlabs.io/docs/api-reference/conversations/get-summary

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Path parameters

- `conversation_id` (string, required) — 要执行操作的对话 ID。

### Query parameters

- `max_messages` (integer, optional, default: 40) — 内联包含的最大聊天消息轮数。对话超过此数量时，消息将被省略，并设置 messages_omitted。

## Response

### 200

成功响应

- `conversation_id` (string, required)
- `agent_id` (string, required)
- `status` (enum, required)
  - Allowed values: `initiated`, `in-progress`, `processing`, `done`, `failed`
- `message_count` (integer, required) — 对话中的普通聊天消息轮次数。
- `note` (string, required) — 指导智能体如何获取完整转录文本。
- `call_summary_title` (string, optional, nullable) — 为对话生成的简短标题。
- `transcript_summary` (string, optional, nullable) — 生成的通话自然语言摘要。
- `call_successful` (enum, optional, nullable)
  - Allowed values: `success`, `failure`, `unknown`
- `messages` (list of ConversationSummaryMessageModel, optional, nullable) — 纯聊天消息（仅包含角色和文本）。仅当 message_count 不超过请求的 max_messages 时包含；否则为 null，且 messages_omitted 为 true。
- `messages_omitted` (boolean, optional, default: false) — 当对话过长而省略聊天消息时为 True。请获取完整转录以查看消息。

## Errors

### 422 Unprocessable Entity Error

验证错误。

- `detail` (list of ValidationError, optional)

## Types

### ConversationSummaryMessageModel

- `role` (enum, required)
  - Allowed values: `user`, `agent`
- `message` (string, required)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItems

- string
- integer

## Examples

**Response**

```json
{
  "conversation_id": "string",
  "agent_id": "string",
  "status": "initiated",
  "message_count": 1,
  "note": "string",
  "call_summary_title": "string",
  "transcript_summary": "string",
  "call_successful": "success",
  "messages": [
    {
      "role": "user",
      "message": "string"
    }
  ],
  "messages_omitted": false
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/convai/conversations/21m00Tcm4TlvDq8ikWAM/summary"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/convai/conversations/21m00Tcm4TlvDq8ikWAM/summary';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/convai/conversations/21m00Tcm4TlvDq8ikWAM/summary"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/convai/conversations/21m00Tcm4TlvDq8ikWAM/summary")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.elevenlabs.io/v1/convai/conversations/21m00Tcm4TlvDq8ikWAM/summary")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.elevenlabs.io/v1/convai/conversations/21m00Tcm4TlvDq8ikWAM/summary');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/convai/conversations/21m00Tcm4TlvDq8ikWAM/summary");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/convai/conversations/21m00Tcm4TlvDq8ikWAM/summary")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```